/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#ifndef __JPROXYGW_FTP_TYPES_H__
#define __JPROXYGW_FTP_TYPES_H__

enum error_type_t { 
	ERROR_NONE,
	ERROR_TIMEOUT,
	ERROR_CONNECTIONCLOSED,
	ERROR_CONNECTIONFAILED
};

struct ftp_message {
	char* msg;
	int code;
	int error;
	enum error_type_t error_type;
	int errno_copy;
	int from_fd;
};


/* --------start struct message--------------------- */
void ftp_message_free(struct ftp_message* msg);
void ftp_message_strip_respcode(struct ftp_message* msg);
struct ftp_message ftp_message_construct(int code, const char* msg);
void ftp_message_setm(struct ftp_message* ftp_msg,
			int code, const char* msg,
			int error, int errno_copy,
			int from_fd);
struct ftp_message ftp_message_empty();
/* ----------end struct message--------------------- */

#endif

