/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#ifndef __JPROXYGW_STATES_H__
#define __JPROXYGW_STATES_H__

#include <sys/types.h>
#include <sys/wait.h>

int register_pid(pid_t, unsigned long int,		/* from ip */
			unsigned long int,		/* proxy ip */
			unsigned int,			/* proxy port */
			time_t,				/* start time */
			struct proxyinfo*);
int unregister_pid(pid_t, struct proxyinfo*);
int set_conffilename(const char*, struct proxyinfo*);

void set_errstr(const char*);
const char* get_errstr(void);
void free_errstr();

/* functions that handle flags set by the signal handlers */
void childterm(int);
int get_chld_pid(struct proxyinfo*);

#endif
